Package org.globus.axis.transport.commons

# Class ExtendedHostConfiguration

java.lang.Object
org.apache.commons.httpclient.HostConfiguration
org.globus.axis.transport.commons.ExtendedHostConfiguration

All Implemented Interfaces:
  `Cloneable`

public class ExtendedHostConfiguration extends org.apache.commons.httpclient.HostConfiguration implements Cloneable

## Field Summary

### Fields inherited from class org.apache.commons.httpclient.HostConfiguration

`ANY_HOST_CONFIGURATION`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedHostConfiguration(org.apache.commons.httpclient.HostConfiguration host, String[] paramList)`
`ExtendedHostConfiguration(ExtendedHostConfiguration host)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class org.apache.commons.httpclient.HostConfiguration

`getHost, getHostURL, getLocalAddress, getParams, getPort, getProtocol, getProxyHost, getProxyPort, getVirtualHost, hostEquals, isHostSet, isProxySet, proxyEquals, setHost, setHost, setHost, setHost, setHost, setHost, setHost, setLocalAddress, setParams, setProxy, setProxyHost`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExtendedHostConfiguration

public ExtendedHostConfiguration(ExtendedHostConfiguration host)

### ExtendedHostConfiguration

public ExtendedHostConfiguration(org.apache.commons.httpclient.HostConfiguration host, String[] paramList)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `org.apache.commons.httpclient.HostConfiguration`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `org.apache.commons.httpclient.HostConfiguration`

### toString

public String toString()

Overrides:
  `toString` in class `org.apache.commons.httpclient.HostConfiguration`

### clone

public Object clone()

Overrides:
  `clone` in class `org.apache.commons.httpclient.HostConfiguration`